Bug 111841 - unresolved symbol in ntfs.o
Summary: unresolved symbol in ntfs.o
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-10 19:46 UTC by Phil Schaffner
Modified: 2007-04-18 17:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 14:49:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phil Schaffner 2003-12-10 19:46:34 UTC
Description of problem:
Compiling a kernel module for athlon smp with NTFS support using
kernel-source-2.4.20-24.9.i386.rpm results in an unresolved symbol:

# modprobe ntfs
/lib/modules/2.4.20-24.9smp/kernel/fs/ntfs/ntfs.o: unresolved symbol
kernel_flag_cacheline_Rsmp_4fbe6d30
/lib/modules/2.4.20-24.9smp/kernel/fs/ntfs/ntfs.o: insmod
/lib/modules/2.4.20-24.9smp/kernel/fs/ntfs/ntfs.o failed
/lib/modules/2.4.20-24.9smp/kernel/fs/ntfs/ntfs.o: insmod ntfs failed

Version-Release number of selected component (if applicable):
kernel-source-2.4.20-24.9

How reproducible:
Always

Steps to Reproduce:
1. Configure for athlon-smp with NTFS read-only support.
2. Compile and install module
3. Attempt to load module
  
Actual results:
Module load fails with unresolved symbol.

Expected results:
NTFS support should work as with earlier kernel releases.

Additional info:
NTFS works when starting from ASP Linux source from
ftp://rpmfind.net/linux/ASPLinux/i386/updates/9/i386/kernel-source-2.4.20-24.9asp.i386.rpm

Comment 1 Phil Schaffner 2004-05-11 14:49:17 UTC
Well it works now in FC1.  Closing.


Note You need to log in before you can comment on or make changes to this bug.